<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>
        <link href="css/sri.css" rel="stylesheet" type="text/css"></link>
</head>
<body bgcolor="bisque">
    <jsp:include page="menu.jsp"></jsp:include>
    <h2><font face=white></font></h2>



<%@page language="java" import="java.util.*,java.sql.* " contentType="text/html"%>

<%             // String a= request.getParameter("QosType");
               // String b= request.getParameter("op");


                int s2=Integer.parseInt(request.getParameter("op"));




           try {

               Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");

            Connection con=DriverManager.getConnection("jdbc:odbc:sree","sree","sree");


            if( s2==1)
               {
                PreparedStatement pstmt = con.prepareStatement("select * from emp order by id");

                ResultSet rs= pstmt.executeQuery();
                out.println("<h2><center>EMP DETAILS</center></h2>");
                out.println("<center><table border=1 bgcolor=white width=800>");
                out.println("<tr><th>EMPID</th><th>EMPNAME</th><th>SALARY</th><th>DIVISON</th><th>TEST ID</th><th>MARKS</th><th>%</th><th>CUR_GRADE</th><th>CHANGE</th></TR>");
            while(rs.next())
            {
              
                 out.println("<tr><td align=left>"+rs.getInt(1)+"&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp</td>");
                 out.println("<td align=left>"+rs.getString(2)+"</td>");
                 out.println("<td align=left>"+rs.getString(3)+"</td>");
                 out.println("<td align=left>"+rs.getString(4)+"</td>");
                 out.println("<td align=left>"+rs.getString(5)+"</td>");
                 out.println("<td align=left>"+rs.getString(6)+"</td>");
                 out.println("<td align=left>"+rs.getString(7)+"</td>");
                 out.println("<td align=left>"+rs.getString(8)+"</td>");
                 out.println("<td align=left>"+rs.getString(9)+"</td></tr>");
                 

             }
              out.println("</table></center>");
              out.println("<br><br><br>");
              out.println("<center><input type=submit value=PRINT name=Print  onclick=window.print()  /></center>");
             }
             else if(s2==2)
            {

                RequestDispatcher rd=request.getRequestDispatcher("empinsert.jsp");
                rd.forward(request,response);

            }

            else if( s2==3)
            {

                RequestDispatcher rd=request.getRequestDispatcher("empdelete.jsp");
                rd.forward(request,response);

            }
             else if( s2==4)
            {

                RequestDispatcher rd=request.getRequestDispatcher("empedit.jsp");
                rd.forward(request,response);

            }
           
         }
	catch(ClassNotFoundException s)
        {
	out.println("loaderror");
   	}
		catch(SQLException e)
        {
	out.println(e);
   }

          %>




</body>

  </html>